### Method

# Ide BuildManager ref_pipeline

#### Declaration

    IdePipeline*
    ide_build_manager_ref_pipeline (
      IdeBuildManager* self
    )

#### Description

A thread-safe variant of ide_build_manager_get_pipeline().

Available since: | 3.32

#### Return value

Returns: | `IdePipeline`
| An `IdePipeline` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.